#pragma once

#include "CoreMinimal.h"
#include "EventDrivenModifierCondition.h"
#include "GameplayTagContainer.h"
#include "OnGameEventTriggered.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UOnGameEventTriggered : public UEventDrivenModifierCondition
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere)
	FGameplayTag EventTag;

public:
	UOnGameEventTriggered();
};

FORCEINLINE uint32 GetTypeHash(const UOnGameEventTriggered) { return 0; }
